Subject: case sensitivity in pwd program
From: [email-masked] (Ed Menze)

15 Aug 1997 22:40:25 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Hello,

I'm running the gnu-win32 beta 18 release on NT 4.0, and I have a
question regarding the pwd program (rather than the bash builtin) and
its interaction with filename globbing.  Is there a way to cause pwd
to display the case of directory components in a way that is
consistent with file globbing?

For example:

	bash$ mkdir -p a/B/c
	bash$ cd a/b/C
	bash$ d:/local-nt/cygnus/H-i386-cygwin32/bin/pwd
	//d/menze/tmp/a/b/C

		The result of the pwd program displays the case of the
		path components as they were given to 'cd', not as
		they were created

	bash$ cd ../../..
	bash$ echo */b/C
	*/b/C
		
		Using the path components as reported by pwd, globbing fails

	bash$ echo */B/c
	a/B/c

		I have to use the same case with which the filenames
		were created in order to get the right expansion.

I need to be able to get the current directory with components that
have the proper case for later use in file globbing, as in the example
above.  Any ideas?

Thanks,

Ed Menze
Dynatek Automation Systems
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".